## org.apache.cassandra.db
Class ReadCommand

    java.lang.Object
      org.apache.cassandra.db.ReadCommand

All Implemented Interfaces:
  MessageProducer, IReadCommand

Direct Known Subclasses:
  SliceByNamesReadCommand, SliceFromReadCommand

    public abstract class ReadCommand

extends java.lang.Object
implements MessageProducer, IReadCommand

Field Summary
`static byte` `CMD_TYPE_GET_SLICE`
`static byte` `CMD_TYPE_GET_SLICE_BY_NAMES`
`protected byte` `commandType`
`java.nio.ByteBuffer` `key`
`QueryPath` `queryPath`
`java.lang.String` `table`

Constructor Summary
`protected` `ReadCommand(java.lang.String table, java.nio.ByteBuffer key, QueryPath queryPath, byte cmdType)`

Method Summary
`abstract ReadCommand` `copy()`
`java.lang.String` `getColumnFamilyName()`
`protected AbstractType<?>` `getComparator()`
`java.lang.String` `getKeyspace()`
`Message` `getMessage(java.lang.Integer version)`
`abstract Row` `getRow(Table table)`
`boolean` `isDigestQuery()`
`ReadCommand` `maybeGenerateRetryCommand(RepairCallback handler, Row row)`
`void` `maybeTrim(Row row)`
`static org.apache.cassandra.db.ReadCommandSerializer` `serializer()`
`void` `setDigestQuery(boolean isDigestQuery)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMD_TYPE_GET_SLICE_BY_NAMES

    public static final byte CMD_TYPE_GET_SLICE_BY_NAMES

See Also:
  Constant Field Values

### CMD_TYPE_GET_SLICE

    public static final byte CMD_TYPE_GET_SLICE

See Also:
  Constant Field Values

### queryPath

    public final QueryPath queryPath

### table

    public final java.lang.String table

### key

    public final java.nio.ByteBuffer key

### commandType

    protected final byte commandType

Constructor Detail

### ReadCommand

    protected ReadCommand(java.lang.String table,
                          java.nio.ByteBuffer key,
                          QueryPath queryPath,
                          byte cmdType)

Method Detail

### serializer

    public static org.apache.cassandra.db.ReadCommandSerializer serializer()

### getMessage

    public Message getMessage(java.lang.Integer version)
                       throws java.io.IOException

  Specified by:
    `getMessage` in interface `MessageProducer`
  Throws:
    `java.io.IOException`

### isDigestQuery

    public boolean isDigestQuery()

### setDigestQuery

    public void setDigestQuery(boolean isDigestQuery)

### getColumnFamilyName

    public java.lang.String getColumnFamilyName()

### copy

    public abstract ReadCommand copy()

### getRow

    public abstract Row getRow(Table table)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getComparator

    protected AbstractType<?> getComparator()

### getKeyspace

    public java.lang.String getKeyspace()

  Specified by:
    `getKeyspace` in interface `IReadCommand`

### maybeGenerateRetryCommand

    public ReadCommand maybeGenerateRetryCommand(RepairCallback handler,
                                                 Row row)

### maybeTrim

    public void maybeTrim(Row row)

Copyright © 2013 The Apache Software Foundation